/l3/users/27-11-2017/NT-Ladm/debian1.net.nt/root :1 :2 :3 :4 :5 :6 :7 :8 :9 :10 |
|
#ls /
bin boot dev etc home initrd.img lib lib32 lib64 lost+found media mnt opt proc root run sbin selinux srv sys tmp usr var vmlinuz |
#ls ~
f1 f2 f3 f4 f5 files.txt install ip.txt passwd prox.txt shell.sh soft sshconn.sh test |
#!
|
#!!
! |
#!!
! |
#ls /
bin boot dev etc home initrd.img lib lib32 lib64 lost+found media mnt opt proc root run sbin selinux srv sys tmp usr var vmlinuz |
#!!
ls / bin boot dev etc home initrd.img lib lib32 lib64 lost+found media mnt opt proc root run sbin selinux srv sys tmp usr var vmlinuz |
#cat ./passwd
root:x:0:0:root:/root:/bin/bash daemon:x:1:1:daemon:/usr/sbin:/bin/sh bin:x:2:2:bin:/bin:/bin/sh sys:x:3:3:sys:/dev:/bin/sh sync:x:4:65534:sync:/bin:/bin/sync games:x:5:60:games:/usr/games:/bin/sh man:x:6:12:man:/var/cache/man:/bin/sh lp:x:7:7:lp:/var/spool/lpd:/bin/sh mail:x:8:8:mail:/var/mail:/bin/sh news:x:9:9:news:/var/spool/news:/bin/sh ... backup:x:34:34:backup:/var/backups:/bin/sh list:x:38:38:Mailing List Manager:/var/list:/bin/sh irc:x:39:39:ircd:/var/run/ircd:/bin/sh gnats:x:41:41:Gnats Bug-Reporting System (admin):/var/lib/gnats:/bin/sh nobody:x:65534:65534:nobody:/nonexistent:/bin/sh libuuid:x:100:101::/var/lib/libuuid:/bin/sh Debian-exim:x:101:103::/var/spool/exim4:/bin/false user:x:1000:1000:user,,,:/home/user:/bin/bash sshd:x:102:65534::/var/run/sshd:/usr/sbin/nologin ivan:x:1001:1001::/home/ivan:/bin/bash |
#vi !$
|
#~
! Start a history substitution, except when followed by a blank, newline, = or (. !n Refer to command line n. !-n Refer to the current command minus n. !! Refer to the previous command. This is a synonym for `!-1'. HISTORY(3) HISTORY(3) NAME history - GNU History Library COPYRIGHT The GNU History Library is Copyright (C) 1989-2011 by the Free Software Foundation, Inc. DESCRIPTION ... The user using programs written with the History library has the benefit of a consistent user interface with a set of well-known commands for line from the history list to use during substitution. The second is to select portions of that line for inclusion into the current one. The line selected from the history is the event, and the portions of that line that are acted upon are words. Various modifiers are available to manipulate the selected words. The line is broken into words in the same fashion as bash does when reading input, so that several words that would otherwise be separated are considered one word when surrounded by quotes (see the description of history_tokenize() below). History expan‐ sions are introduced by the appearance of the history expansion character, which is ! by default. Only backslash (\) and single quotes can quote the history expansion character. Event Designators An event designator is a reference to a command line entry in the history list. Unless the reference is absolute, events are relative to the cur‐ rent position in the history list. |
#vi !:-$
|
#~
root:x:0:0:root:/root:/bin/bash daemon:x:1:1:daemon:/usr/sbin:/bin/sh bin:x:2:2:bin:/bin:/bin/sh sys:x:3:3:sys:/dev:/bin/sh sync:x:4:65534:sync:/bin:/bin/sync games:x:5:60:games:/usr/games:/bin/sh man:x:6:12:man:/var/cache/man:/bin/sh lp:x:7:7:lp:/var/spool/lpd:/bin/sh mail:x:8:8:mail:/var/mail:/bin/sh news:x:9:9:news:/var/spool/news:/bin/sh ... backup:x:34:34:backup:/var/backups:/bin/sh list:x:38:38:Mailing List Manager:/var/list:/bin/sh irc:x:39:39:ircd:/var/run/ircd:/bin/sh gnats:x:41:41:Gnats Bug-Reporting System (admin):/var/lib/gnats:/bin/sh nobody:x:65534:65534:nobody:/nonexistent:/bin/sh libuuid:x:100:101::/var/lib/libuuid:/bin/sh Debian-exim:x:101:103::/var/spool/exim4:/bin/false user:x:1000:1000:user,,,:/home/user:/bin/bash sshd:x:102:65534::/var/run/sshd:/usr/sbin/nologin ivan:x:1001:1001::/home/ivan:/bin/bash |
#vi !:-1
|
#~
HISTORY(3) HISTORY(3) NAME history - GNU History Library COPYRIGHT The GNU History Library is Copyright (C) 1989-2011 by the Free Software Foundation, Inc. DESCRIPTION Many programs read input from the user a line at a time. The GNU History library is able to keep track of those lines, associate arbitrary data with each line, and utilize information from previous lines in composing new ones. HISTORY EXPANSION The history library supports a history expansion feature that is identical to the history expansion in bash. This section describes what syntax ... denoted by 0 (zero). Words are inserted into the current line separated by single spaces. 0 (zero) The zeroth word. For the shell, this is the command word. n The nth word. ^ The first argument. That is, word 1. $ The last argument. % The word matched by the most recent `?string?' search. x-y A range of words; `-y' abbreviates `0-y'. * All of the words but the zeroth. This is a synonym for `1-$'. It is not an error to use * if there is just one word in the event; the empty string is returned in that case. |
#!#
|
#cat ./passwd
root:x:0:0:root:/root:/bin/bash daemon:x:1:1:daemon:/usr/sbin:/bin/sh bin:x:2:2:bin:/bin:/bin/sh sys:x:3:3:sys:/dev:/bin/sh sync:x:4:65534:sync:/bin:/bin/sync games:x:5:60:games:/usr/games:/bin/sh man:x:6:12:man:/var/cache/man:/bin/sh lp:x:7:7:lp:/var/spool/lpd:/bin/sh mail:x:8:8:mail:/var/mail:/bin/sh news:x:9:9:news:/var/spool/news:/bin/sh ... backup:x:34:34:backup:/var/backups:/bin/sh list:x:38:38:Mailing List Manager:/var/list:/bin/sh irc:x:39:39:ircd:/var/run/ircd:/bin/sh gnats:x:41:41:Gnats Bug-Reporting System (admin):/var/lib/gnats:/bin/sh nobody:x:65534:65534:nobody:/nonexistent:/bin/sh libuuid:x:100:101::/var/lib/libuuid:/bin/sh Debian-exim:x:101:103::/var/spool/exim4:/bin/false user:x:1000:1000:user,,,:/home/user:/bin/bash sshd:x:102:65534::/var/run/sshd:/usr/sbin/nologin ivan:x:1001:1001::/home/ivan:/bin/bash |
#vi !#
|
#~
cat ls cat ls cat: ls: Нет такого файла или каталога cat: cat: Нет такого файла или каталога cat: ls: Нет такого файла или каталога |
#cat #!
as as |
#cp no_file_with_this_name /tmp/
cp: не удалось выполнить stat для «no_file_with_this_name»: Нет такого файла или каталога |
#echo $?
1 |
#test 5 -gt 1
|
#test 5 -lt 1
|
#echo $?
1 |
#man test
|
#echo $?
0 |
#echo $STRING
|
#test -z $STRING
|
#echo $?
0 |
#man test
|
#test -e /etc/mo
modprobe.d/ modules motd |
#test -e /etc/mo
modprobe.d/ modules motd |
#test -e /etc/motd
|
#cat !$
cat /etc/motd The programs included with the Debian GNU/Linux system are free software; the exact distribution terms for each program are described in the individual files in /usr/share/doc/*/copyright. Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent permitted by applicable law. |
#man test
|
#echo $?
0 |
#x=5
|
#y=10
|
#test $x -gt $y
|
#echo $?
1 |
#test $x -lt $y
|
#echo $?
0 |
#\
> red l3script: red: команда не найдена |
#echo "Your favorite color?"; read FAV_COL; \
> red Your favorite color? l3script: red: команда не найдена |
#echo "Your favorite color?"; read FAV_COL; red
Your favorite color? red l3script: red: команда не найдена |
#echo "Your favorite color?"; read FAV_COL; \
> red Your favorite color? $FAV_COL l3script: red: команда не найдена |
#read $FAV_COL
red l3script: read: `$FAV_COL': неправильный идентификатор |
#echo $EUID
0 |
#A=0
|
#while [ $A -lt 10 ]
> do > A=$((A+1)) > echo $A > done 1 2 3 4 5 6 7 8 9 10 |
#for file in /etc/*
> do > [ -r $file ] || echo $file > done |
#for file in /etc/*; do [ -x $file ] || echo $file; done
/etc/adduser.conf /etc/adjtime /etc/aliases /etc/bash.bashrc /etc/bash_completion /etc/bindresvport.blacklist /etc/blkid.tab /etc/blkid.tab.old /etc/ca-certificates.conf /etc/console-cyrillic ... /etc/services /etc/shadow /etc/shadow- /etc/shells /etc/staff-group-for-usr-local /etc/sysctl.conf /etc/timezone /etc/trafshow /etc/ucf.conf /etc/wgetrc |
#echo 'What command do you interested in?'; \
> select command in man touch mount make exit clear > do > whatis $command > break > done What command do you interested in? 1) man 2) touch 3) mount 4) make 5) exit 6) clear #? 2 touch (1) - change file timestamps |
#echo 'What command do you interested in?'; select someselect in man touch mount make exit clear; do whatis $someselect; break; done
What command do you interested in? 1) man 2) touch 3) mount 4) make 5) exit 6) clear #? 3 mount (8) - mount a filesystem mount (2) - mount file system |
#echo "What command gives you info?"
What command gives you info? |
#echo "What command gives you info?" \
> read ansver What command gives you info? read ansver |
#case $ansver in
> "man" | "info") > echo 'Yes! you`r right.' > ;; > "whatis" | "apropos") > echo "Wrong!" l3script: !": event not found > case $ansver in "man" | "info") echo 'Yes! you`r right.'; ;; "whatis" | "apropos") > echo 'Wrong!' > ;; > esac > l3script: ошибка синтаксиса: неожиданный конец файла |
#echo "Enter program path:"
Enter program path: |
#read PROGRAM \;
if [ -x "$PROGRAM" ] l3script: read: `;': неправильный идентификатор |
#vi prog_path
--- /dev/null 2017-11-24 15:18:56.455999975 +0200 +++ prog_path 2017-11-29 16:21:52.318849207 +0200 @@ -0,0 +1,16 @@ +#!/bin/bash + +echo "nter program path:" +read PROGRAM \; +if [ -x "$PROGRAM" ] +then + "$PROGRAM" +else + echo -n "Can't run $PROGRAM. " + if [ -e "$PROGRAM" ] + then + echo "This file is not executable!" + else + echo "No such file!" + fi +fi |
#mv pro
prog_path prox.txt |
#mv prog_path prog_path.sh
|
#vi prog_path.sh
|
#~
bash prog_path.sh nter program path: someprog prog_path.sh: line 4: read: `;': неправильный идентификатор Can't run someprog. No such file! |
#vi prog_path.sh
--- /tmp/l3-saved-11433.29928.13503 2017-11-29 16:23:00.122851082 +0200 +++ prog_path.sh 2017-11-29 16:23:11.330839932 +0200 @@ -1,7 +1,7 @@ #!/bin/bash echo "nter program path:" -read PROGRAM \; +read PROGRAM \ if [ -x "$PROGRAM" ] then "$PROGRAM" |
#bash prog_path.sh
nter program path: someprog prog_path.sh: line 4: read: `[': неправильный идентификатор prog_path.sh: line 6: syntax error near unexpected token `then' prog_path.sh: line 6: `then' |
#vi prog_path.sh
--- /tmp/l3-saved-11433.3371.16380 2017-11-29 16:23:28.066849599 +0200 +++ prog_path.sh 2017-11-29 16:23:39.138852924 +0200 @@ -1,7 +1,7 @@ #!/bin/bash echo "nter program path:" -read PROGRAM \ +read PROGRAM if [ -x "$PROGRAM" ] then "$PROGRAM" |
#vi prog_path.sh
--- /tmp/l3-saved-11433.28755.32540 2017-11-29 16:23:43.274837532 +0200 +++ prog_path.sh 2017-11-29 16:23:50.474849466 +0200 @@ -1,6 +1,6 @@ #!/bin/bash -echo "nter program path:" +echo "Enter program path:" read PROGRAM if [ -x "$PROGRAM" ] then |
#bash prog_path.sh
Enter program path: someprog Can't run someprog. No such file! |
#bash prog_path.sh
Enter program path: ls Can't run ls. No such file! |
#locate ls
/bin/false /bin/ls /bin/lsblk /bin/lsmod /boot/grub/command.lst /boot/grub/crypto.lst /boot/grub/fs.lst /boot/grub/lsacpi.mod /boot/grub/lsapm.mod /boot/grub/lsmmap.mod ... /var/lib/dpkg/info/xz-utils.list /var/lib/dpkg/info/xz-utils.md5sums /var/lib/dpkg/info/xz-utils.postinst /var/lib/dpkg/info/xz-utils.prerm /var/lib/dpkg/info/zlib1g:amd64.symbols /var/lib/initramfs-tools /var/lib/initramfs-tools/3.2.0-4-amd64 /var/lib/usbutils /var/lib/usbutils/usb.ids /var/log/installer/lsb-release |
#whi
which while whiptail |
#whi
which while whiptail |
#which ls
/bin/ls |
#bash prog_path.sh
Enter program path: /bin/ls f1 f2 f3 f4 f5 files.txt install ip.txt no_file_with_this_name passwd prog_path.sh prox.txt shell.sh soft sshconn.sh test |
#bash prog_path.sh
Enter program path: /bin/ls2 Can't run /bin/ls2. No such file! |
#func () {
> if [ -z "$1" ] > then > echo "No parameters passed to function." > return 0 > else > echo "Param #1 is $1." > fi > if [ "$2" ] > then > echo "Parameter #2 in $2." > fi > } |
#func
No parameters passed to function. |
#func first
Param #1 is first. |
#func first second
Param #1 is first. Parameter #2 in second. |
#vi fav_os.sh
--- /dev/null 2017-11-24 15:18:56.455999975 +0200 +++ fav_os.sh 2017-11-29 16:32:56.382853695 +0200 @@ -0,0 +1,13 @@ +#!/bin/bash +echo "WHat command give you info?" +read answer +case $answer in +"man" | "info" ) + echo 'You are right!' +;; +"whatis" | "apropos" ) + echo 'Not quite right! This give you short info.' +;; +* ) echo 'Wrong!' +;; +esac |
#bash !$
bash fav_os.sh WHat command give you info? some Wrong! |
#bash fav_os.sh
WHat command give you info? info You are right! |
#echo "Favorite color ?"; read FAV_COL
Favorite color ? red |
#echo "Favorite color ?"; read FAV_COL;
Favorite color ? red |
#echo "Favorite color ?"; read FAV_COL; echo "Your favorite color is - $FAV_COL"
Favorite color ? red Your favorite color is - red |
#man case
|
#help case
case: case WORD in [PATTERN [| PATTERN]...) COMMANDS ;;]... esac Execute commands based on pattern matching. Selectively execute COMMANDS based upon WORD matching PATTERN. The `|' is used to separate multiple patterns. Exit Status: Returns the status of the last command executed. |
#echo some text to scrin
some text to scrin |
#echo some text to screen
some text to screen |
#~
Enter program path: /bin/ls f1 f2 f3 f4 f5 fav_os.sh files.txt install ip.txt no_file_with_this_name passwd prog_path.sh prox.txt shell.sh soft sshconn.sh test |
#bash prog_path.sh
Enter program path: /bin/ls2 Can't run /bin/ls2. No such file! |
#vi prog_path.sh
|
#~
|
#ls
f1 f2 f3 f4 f5 fav_os.sh files.txt install ip.txt no_file_with_this_name passwd prog_path.sh prox.txt shell.sh soft sshconn.sh test |
#cp shell.sh /home/user/
ABA DIRECTORY1 LIGHT_ALLOY_4.4.784_RC2_BY_FAFNIR.EXE PROJ/ ABB DIRECTORY2 .lilalo/ SH/ ABC DIRECTORY3 LPI_1/ SORTED ABD ERRLOG LPI_2/ SORTED_PASSWD .aptitude/ FILE MAN_SMB_CONF SOURCE/ BACKUP/ FILE1 MATRIX.JPG TEST/ .bash_history FILE2 NAMES/ TEXT/ .bash_logout FILE3 NEWFILE TOUCHLIST .bash_profile FREEBSD.JPG OGO.JPG UNSORTED .bashrc GRANATA.JPG PAMYATKA.PDF .viminfo BIGFILE KILLALL PRESS_ANY_KEY_TO_CONTINUE.JPG .vimrc BIN/ .l3rc .profile |
#cp shell.sh /home/user/
|
#vi!^
vishell.sh l3script: vishell.sh: команда не найдена |
#vi shell.sh
|
#~
user pts/2 192.168.16.211 Thu Nov 30 09:57 still logged in root pts/0 192.168.16.211 Thu Nov 30 09:57 still logged in user pts/2 192.168.16.211 Wed Nov 29 09:23 - 17:08 (07:45) root pts/0 192.168.16.211 Wed Nov 29 09:23 - 17:08 (07:45) root pts/5 192.168.16.211 Tue Nov 28 10:59 - 16:50 (05:50) ivan pts/4 192.168.16.211 Tue Nov 28 10:19 - 16:50 (06:30) ivan pts/4 192.168.16.211 Tue Nov 28 10:13 - 10:19 (00:05) root pts/0 192.168.16.211 Tue Nov 28 10:07 - 16:50 (06:42) user pts/2 192.168.16.211 Tue Nov 28 09:17 - 16:50 (07:32) root pts/0 192.168.16.211 Tue Nov 28 09:17 - 10:07 (00:49) user pts/2 192.168.16.211 Mon Nov 27 12:04 - 18:02 (05:57) root pts/0 192.168.16.211 Mon Nov 27 12:01 - 18:02 (06:00) wtmp begins Mon Nov 27 12:01:47 2017 |
cat /etc/motd The programs included with the Debian GNU/Linux system are free software; the exact distribution terms for each program are described in the individual files in /usr/share/doc/*/copyright. Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent permitted by applicable law.
as as
root:x:0:0:root:/root:/bin/bash daemon:x:1:1:daemon:/usr/sbin:/bin/sh bin:x:2:2:bin:/bin:/bin/sh sys:x:3:3:sys:/dev:/bin/sh sync:x:4:65534:sync:/bin:/bin/sync games:x:5:60:games:/usr/games:/bin/sh man:x:6:12:man:/var/cache/man:/bin/sh lp:x:7:7:lp:/var/spool/lpd:/bin/sh mail:x:8:8:mail:/var/mail:/bin/sh news:x:9:9:news:/var/spool/news:/bin/sh uucp:x:10:10:uucp:/var/spool/uucp:/bin/sh proxy:x:13:13:proxy:/bin:/bin/sh www-data:x:33:33:www-data:/var/www:/bin/sh backup:x:34:34:backup:/var/backups:/bin/sh list:x:38:38:Mailing List Manager:/var/list:/bin/sh irc:x:39:39:ircd:/var/run/ircd:/bin/sh gnats:x:41:41:Gnats Bug-Reporting System (admin):/var/lib/gnats:/bin/sh nobody:x:65534:65534:nobody:/nonexistent:/bin/sh libuuid:x:100:101::/var/lib/libuuid:/bin/sh Debian-exim:x:101:103::/var/spool/exim4:/bin/false user:x:1000:1000:user,,,:/home/user:/bin/bash sshd:x:102:65534::/var/run/sshd:/usr/sbin/nologin ivan:x:1001:1001::/home/ivan:/bin/bash
Время первой команды журнала | 14:24:29 2017-11-29 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Время последней команды журнала | 09:09:02 2017-11-30 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Количество командных строк в журнале | 101 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Процент команд с ненулевым кодом завершения, % | 17.82 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Процент синтаксически неверно набранных команд, % | 4.95 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Суммарное время работы с терминалом *, час | 1.93 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Количество командных строк в единицу времени, команда/мин | 0.87 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Частота использования команд |
|
В журнал автоматически попадают все команды, данные в любом терминале системы.
Для того чтобы убедиться, что журнал на текущем терминале ведётся, и команды записываются, дайте команду w. В поле WHAT, соответствующем текущему терминалу, должна быть указана программа script.
Команды, при наборе которых были допущены синтаксические ошибки, выводятся перечёркнутым текстом:
$ l s-l bash: l: command not found |
Если код завершения команды равен нулю, команда была выполнена без ошибок. Команды, код завершения которых отличен от нуля, выделяются цветом.
$ test 5 -lt 4 |
Команды, ход выполнения которых был прерван пользователем, выделяются цветом.
$ find / -name abc find: /home/devi-orig/.gnome2: Keine Berechtigung find: /home/devi-orig/.gnome2_private: Keine Berechtigung find: /home/devi-orig/.nautilus/metafiles: Keine Berechtigung find: /home/devi-orig/.metacity: Keine Berechtigung find: /home/devi-orig/.inkscape: Keine Berechtigung ^C |
Команды, выполненные с привилегиями суперпользователя, выделяются слева красной чертой.
# id uid=0(root) gid=0(root) Gruppen=0(root) |
Изменения, внесённые в текстовый файл с помощью редактора, запоминаются и показываются в журнале в формате ed. Строки, начинающиеся символом "<", удалены, а строки, начинающиеся символом ">" -- добавлены.
$ vi ~/.bashrc
|
Для того чтобы изменить файл в соответствии с показанными в диффшоте изменениями, можно воспользоваться командой patch. Нужно скопировать изменения, запустить программу patch, указав в качестве её аргумента файл, к которому применяются изменения, и всавить скопированный текст:
$ patch ~/.bashrc |
Для того чтобы получить краткую справочную информацию о команде, нужно подвести к ней мышь. Во всплывающей подсказке появится краткое описание команды.
Если справочная информация о команде есть, команда выделяется голубым фоном, например: vi. Если справочная информация отсутствует, команда выделяется розовым фоном, например: notepad.exe. Справочная информация может отсутствовать в том случае, если (1) команда введена неверно; (2) если распознавание команды LiLaLo выполнено неверно; (3) если информация о команде неизвестна LiLaLo. Последнее возможно для редких команд.
Большие, в особенности многострочные, всплывающие подсказки лучше всего показываются браузерами KDE Konqueror, Apple Safari и Microsoft Internet Explorer. В браузерах Mozilla и Firefox они отображаются не полностью, а вместо перевода строки выводится специальный символ.
Время ввода команды, показанное в журнале, соответствует времени начала ввода командной строки, которое равно тому моменту, когда на терминале появилось приглашение интерпретатора
Имя терминала, на котором была введена команда, показано в специальном блоке. Этот блок показывается только в том случае, если терминал текущей команды отличается от терминала предыдущей.
Вывод не интересующих вас в настоящий момент элементов журнала, таких как время, имя терминала и других, можно отключить. Для этого нужно воспользоваться формой управления журналом вверху страницы.
Небольшие комментарии к командам можно вставлять прямо из командной строки. Комментарий вводится прямо в командную строку, после символов #^ или #v. Символы ^ и v показывают направление выбора команды, к которой относится комментарий: ^ - к предыдущей, v - к следующей. Например, если в командной строке было введено:
$ whoami
user
$ #^ Интересно, кто я?в журнале это будет выглядеть так:
$ whoami
user
Интересно, кто я? |
Если комментарий содержит несколько строк, его можно вставить в журнал следующим образом:
$ whoami
user
$ cat > /dev/null #^ Интересно, кто я?
Программа whoami выводит имя пользователя, под которым мы зарегистрировались в системе. - Она не может ответить на вопрос о нашем назначении в этом мире.В журнале это будет выглядеть так:
$ whoami user
|
Комментарии, не относящиеся непосредственно ни к какой из команд, добавляются точно таким же способом, только вместо симолов #^ или #v нужно использовать символы #=
1 2 3 4Группы команд, выполненных на разных терминалах, разделяются специальной линией. Под этой линией в правом углу показано имя терминала, на котором выполнялись команды. Для того чтобы посмотреть команды только одного сенса, нужно щёкнуть по этому названию.
LiLaLo (L3) расшифровывается как Live Lab Log.
Программа разработана для повышения эффективности обучения Unix/Linux-системам.
(c) Игорь Чубин, 2004-2008